<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/GUI/Spacers/HorizontalSpacer.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dd/d42/_horizontal_spacer_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">HorizontalSpacer.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../dd/d42/_horizontal_spacer_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno"><a class="line" href="../../de/de9/class_horizontal_spacer.html">    2</a></span><span class="keyword">class </span><a class="code hl_class" href="../../de/de9/class_horizontal_spacer.html">HorizontalSpacer</a> : <a class="code hl_class" href="../../d2/d7a/class_spacer_base.html">SpacerBase</a></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span>{</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../de/de9/class_horizontal_spacer.html#a00f1086e951cf2978beb1464ff438b74">    4</a></span>    reference <span class="keywordtype">int</span> <a class="code hl_variable" href="../../de/de9/class_horizontal_spacer.html#a00f1086e951cf2978beb1464ff438b74">Border</a>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../de/de9/class_horizontal_spacer.html#a0236169289d4910547846a4654b95844">    5</a></span>    reference <span class="keywordtype">int</span> <a class="code hl_variable" href="../../de/de9/class_horizontal_spacer.html#a0236169289d4910547846a4654b95844">Gap</a>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../de/de9/class_horizontal_spacer.html#a6a8b66d991355bf482fa96082ad585fd">    7</a></span>    <span class="keyword">override</span> <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/de9/class_horizontal_spacer.html#a6a8b66d991355bf482fa96082ad585fd">UpdateChild</a>(<a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> child, <span class="keywordtype">float</span> w, <span class="keywordtype">float</span> h, <span class="keywordtype">int</span> index)</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    {</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>        <span class="keywordtype">float</span> itemWidth = (w - (<a class="code hl_variable" href="../../de/de9/class_horizontal_spacer.html#a00f1086e951cf2978beb1464ff438b74">Border</a> * 2) - ((<a class="code hl_variable" href="../../d2/d7a/class_spacer_base.html#a3bf71f6e1c07aba6fd4cc0fe04900bbd">m_count</a> - 1) * <a class="code hl_variable" href="../../de/de9/class_horizontal_spacer.html#a0236169289d4910547846a4654b95844">Gap</a>)) / <a class="code hl_variable" href="../../d2/d7a/class_spacer_base.html#a3bf71f6e1c07aba6fd4cc0fe04900bbd">m_count</a>;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        <span class="keywordtype">float</span> itemHeight = h - (2 * <a class="code hl_variable" href="../../de/de9/class_horizontal_spacer.html#a00f1086e951cf2978beb1464ff438b74">Border</a>);</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    </div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        child.SetPos(<a class="code hl_variable" href="../../de/de9/class_horizontal_spacer.html#a00f1086e951cf2978beb1464ff438b74">Border</a> + ((itemWidth + <a class="code hl_variable" href="../../de/de9/class_horizontal_spacer.html#a0236169289d4910547846a4654b95844">Gap</a>) * index), <a class="code hl_variable" href="../../de/de9/class_horizontal_spacer.html#a00f1086e951cf2978beb1464ff438b74">Border</a>);</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        child.SetSize(itemWidth, itemHeight);</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        <span class="keywordflow">if</span>(child.GetChildren())</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        {</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>            <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> c = child.GetChildren();</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>            <a class="code hl_class" href="../../d8/d7f/class_right_gap.html">RightGap</a> gap;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>            c.GetScript(gap);</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>            <span class="keywordflow">if</span>(gap)</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>            gap.<a class="code hl_function" href="../../d8/d7f/class_right_gap.html#a432a6b1c0dcf0c544200b11ed8a4ac41">OnUpdate</a>(c);</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span> </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>            <span class="comment">//gap.Update();</span></div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>            </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        }</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    }</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>};</div>
<div class="ttc" id="aclass_horizontal_spacer_html"><div class="ttname"><a href="../../de/de9/class_horizontal_spacer.html">HorizontalSpacer</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d42/_horizontal_spacer_8c_source.html#l00002">HorizontalSpacer.c:3</a></div></div>
<div class="ttc" id="aclass_horizontal_spacer_html_a00f1086e951cf2978beb1464ff438b74"><div class="ttname"><a href="../../de/de9/class_horizontal_spacer.html#a00f1086e951cf2978beb1464ff438b74">HorizontalSpacer::Border</a></div><div class="ttdeci">reference int Border</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d42/_horizontal_spacer_8c_source.html#l00004">HorizontalSpacer.c:4</a></div></div>
<div class="ttc" id="aclass_horizontal_spacer_html_a0236169289d4910547846a4654b95844"><div class="ttname"><a href="../../de/de9/class_horizontal_spacer.html#a0236169289d4910547846a4654b95844">HorizontalSpacer::Gap</a></div><div class="ttdeci">reference int Gap</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d42/_horizontal_spacer_8c_source.html#l00005">HorizontalSpacer.c:5</a></div></div>
<div class="ttc" id="aclass_horizontal_spacer_html_a6a8b66d991355bf482fa96082ad585fd"><div class="ttname"><a href="../../de/de9/class_horizontal_spacer.html#a6a8b66d991355bf482fa96082ad585fd">HorizontalSpacer::UpdateChild</a></div><div class="ttdeci">override protected void UpdateChild(Widget child, float w, float h, int index)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d42/_horizontal_spacer_8c_source.html#l00007">HorizontalSpacer.c:7</a></div></div>
<div class="ttc" id="aclass_right_gap_html"><div class="ttname"><a href="../../d8/d7f/class_right_gap.html">RightGap</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d9d/_right_gap_8c_source.html#l00002">RightGap.c:3</a></div></div>
<div class="ttc" id="aclass_right_gap_html_a432a6b1c0dcf0c544200b11ed8a4ac41"><div class="ttname"><a href="../../d8/d7f/class_right_gap.html#a432a6b1c0dcf0c544200b11ed8a4ac41">RightGap::OnUpdate</a></div><div class="ttdeci">override bool OnUpdate(Widget w)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d9d/_right_gap_8c_source.html#l00018">RightGap.c:18</a></div></div>
<div class="ttc" id="aclass_spacer_base_html"><div class="ttname"><a href="../../d2/d7a/class_spacer_base.html">SpacerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d16/_spacer_base_8c_source.html#l00002">SpacerBase.c:3</a></div></div>
<div class="ttc" id="aclass_spacer_base_html_a3bf71f6e1c07aba6fd4cc0fe04900bbd"><div class="ttname"><a href="../../d2/d7a/class_spacer_base.html#a3bf71f6e1c07aba6fd4cc0fe04900bbd">SpacerBase::m_count</a></div><div class="ttdeci">protected int m_count</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d16/_spacer_base_8c_source.html#l00005">SpacerBase.c:5</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_dd/d6a/class_widget"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00175">EnWidgets.c:176</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../dir_5eeb77025424db54adeee8e59c1563e2.html">GUI</a></li><li class="navelem"><a class="el" href="../../dir_54b1ab945de8b1cf5702f657b9e48093.html">Spacers</a></li><li class="navelem"><a class="el" href="../../dd/d42/_horizontal_spacer_8c.html">HorizontalSpacer.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
